{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'added' %}
        <div class="alert alert-success" role="alert">
            The bookshelf was added successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while adding the bookshelf, contact the administrator!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">bookshelf</h5>
        <div class="card-body">
            <h5 class="card-title">Add a new bookshelf to the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'add_bookshelf' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    <label for="inputCategory" class="form-label">Category</label>
                    <select id="inputCategory" name="inputCategory" class="form-select mb-3">
                        {% for category in categories %}
                            {% if forloop.first %}
                            <option selected>{{ category }}</option>
                            {% else %}
                                <option>{{ category }}</option>
                            {% endif %}
                        {% endfor %}
                    </select>
                </div>
                <button type="submit" class="btn btn-success">Create</button>
                <button type="button" onclick="window.location.href='{% url 'home' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
